/**
 * @file camera_roam.cpp
 * @brief CameraRoamControl class
 *
 * @author Zeyang Li (zeyangl)
 */
 
#ifndef _462_APPLICATION_CAMERAROAM_HPP_
#define _462_APPLICATION_CAMERAROAM_HPP_

#include "application/application.hpp"
#include "scene/camera.hpp"

namespace _462 {

class CameraRoamControl
{
public:
    virtual ~CameraRoamControl() { }
    virtual void on_key_press( const SDL_Event& event );

    virtual void on_mouse_move( Window* window, int x, int y );
    virtual void update( real_t dt );

    Camera camera;

private:
    struct Move
    {
        Move() : w(false), s(false), a(false), 
                 d(false), q(false), e(false), speed(0.001)
        {}
        bool w,s,a,d,q,e;
        float speed;
    };
    Move move; 
    Vector2 cursor;
};

} /* _462 */

#endif /* _462_APPLICATION_CAMERAROAM_HPP_ */

