/**
 * @file color.cpp
 * @brief Color class
 *
 * @author Eric Butler (edbutler)
 */
 
#include "math/color.hpp"

namespace _462 {

const Color3 Color3::Black = Color3( 0.0, 0.0, 0.0 );
const Color3 Color3::White = Color3( 1.0, 1.0, 1.0 );
const Color3 Color3::Red   = Color3( 1.0, 0.0, 0.0 );
const Color3 Color3::Green = Color3( 0.0, 1.0, 0.0 );
const Color3 Color3::Blue  = Color3( 0.0, 0.0, 1.0 );

std::ostream& operator<<( std::ostream& os, const Color3& c )
{
    return os << '(' << c.r << ',' << c.g << ',' << c.b << ')';
}

} /* _462 */

