/**
 * @file math.hpp
 * @brief General math declarations and definitions.
 *
 * @author Eric Butler (edbutler)
 * @author Zeyang Li (zeyangl)
 */

#ifndef _462_MATH_MATH_HPP_
#define _462_MATH_MATH_HPP_

namespace _462 {

// floating point precision set by this typedef
typedef double real_t;

class Color3;

#define PI 3.141592653589793238

// converts a color and alpha to 4-byte RGBA
void color_to_array( const Color3& color, real_t alpha, unsigned char* arr );
// converts 4-byte RGBA to a color (ignores alpha)
Color3 array_to_color( const unsigned char* arr );

} /* _462 */

#endif /* _462_MATH_462MATH_H_ */

