/**
 * @file triangle.hpp
 * @brief Class definition for Triangle.
 *
 * @author Eric Butler (edbutler)
 */

#ifndef _462_SCENE_TRIANGLE_HPP_
#define _462_SCENE_TRIANGLE_HPP_

#include "scene/scene.hpp"

namespace _462 {

class Triangle : public Geometry
{
public:

    // NOTE: we ignore Geometry::material, since each vertex has its own material

    struct Vertex
    {
        // note that position and normal are in local space
        Vector3 position;
        Vector3 normal;
        Vector2 tex_coord;
        const Material* material;
    };

    // the triangle's vertices
    Vertex vertices[3];

    Triangle();
    virtual ~Triangle();

    virtual void render() const;

};

} /* _462 */

#endif /* _462_SCENE_TRIANGLE_HPP_ */

